# Generated by Django 3.2.12 on 2022-03-20 19:29

from django.db import migrations


def set_person_on_invoices(apps, schema_editor):

    Invoice = apps.get_model("tezor", "Invoice")

    for invoice in Invoice.objects.filter(person__isnull=True, for_object_id__isnull=False):
        person = invoice.for_object.get_person()
        invoice.person=person
        invoice.save()

class Migration(migrations.Migration):

    dependencies = [
        ('tezor', '0007_client_payment_variants'),
    ]

    operations = [
        migrations.RemoveConstraint(
            model_name='invoice',
            name='object_or_person',
        ),
        migrations.RunPython(set_person_on_invoices),
    ]
